#include <avr/io.h>
#include "main.h"
#include "led.h"


int main(void) {
    CLKPR =(1<<CLKPCE);
    CLKPR =0; // set 9.6 MHz CPU freq
    // GPIO setup
    DDRB |= (SCLK | RCLK | DIO);
     // Timer0 setup
    TCCR0A=(1<<WGM01);  // CTC mode
    OCR0A=50;           // freq 5kHz
    // power mode
    MCUCR |= (1<<SE); // idle
    // let's go
    asm("sei");
	for (;;){
	// variables
		static uint16_t count=158;
		static uint8_t i=0;
		show_led(count);
		wait_ms();	// wait 5ms
		if( ++i == 0)
			count++;
	}
 	return 0;
}
