#include <avr/io.h>
#include "main.h"
#include "led.h"

int main(void) {
    CLKPR =(1<<CLKPCE);
    CLKPR =0; // set 9.6 MHz CPU freq
    // GPIO setup
    DDRB |= (SCLK | RCLK | DIO);
	// external interrupt
    MCUCR|=(1<<ISC01)|(1<<ISC00); // IRQ on rising edge
    GIMSK|=(1<<PCIE);
    PCMSK|=(1<<PCINT0);
     // Timer0 setup
    TCCR0A=(1<<WGM01);  // CTC mode
    OCR0A=50;           // freq 5kHz
    // let's go
    asm("sei");
	for (;;){
	// variables
		static uint16_t count=158;
		show_led(count);
		wait_ms();	// wait 5ms
		count--;
		count++;
	}
 	return 0;
}
